## gimpversion gimpversion — Macros and constants useful for determining GIMP's version number and capabilities. |

## Functions

#define | GIMP_MAJOR_VERSION
#define | GIMP_MINOR_VERSION
#define | GIMP_MICRO_VERSION
#define | GIMP_CHECK_VERSION()

## Types and Values

#define | GIMP_VERSION
#define | GIMP_API_VERSION
#define | GIMPVAR
extern const guint | gimp_major_version
extern const guint | gimp_minor_version
extern const guint | gimp_micro_version

## Description

Macros and constants useful for determining GIMP's version number and capabilities.

## Functions

### GIMP_MAJOR_VERSION

    #define GIMP_MAJOR_VERSION                              (2)

The major GIMP version number.

### GIMP_MINOR_VERSION

    #define GIMP_MINOR_VERSION                              (8)

The minor GIMP version number.

### GIMP_MICRO_VERSION

    #define GIMP_MICRO_VERSION                              (14)

The micro GIMP version number.

### GIMP_CHECK_VERSION()

    #define             GIMP_CHECK_VERSION(major, minor, micro)

## Types and Values

### GIMP_VERSION

    #define GIMP_VERSION                                    "2.8.14"

The GIMP version as a string.

### GIMP_API_VERSION

    #define GIMP_API_VERSION                                "2.0"

Since GIMP 2.2

### GIMPVAR

    #    define GIMPVAR __declspec(dllexport)

### gimp_major_version

    extern const guint gimp_major_version;

### gimp_minor_version

    extern const guint gimp_minor_version;

### gimp_micro_version

    extern const guint gimp_micro_version;